<?php
/**
 * Hooks Base Class
 *
 * @package errigal
 * @since 1.1.0
 */

namespace Errigal\Hook;

defined( 'ABSPATH' ) || exit;

/**
 * This class is in charge of providing shared hooks functions.
 *
 * @since 1.1.0
 */
abstract class Errigal_Hooks_Base {
	/**
	 * Constructor.
	 *
	 * @since 1.1.0
	 */
	public function __construct() {
		$this->add_hooks();
	}

	/**
	 * Adds hooks.
	 *
	 * @since 1.1.0
	 *
	 * @return void
	 */
	abstract protected function add_hooks();
}
